#### D.11.2.9 colrank

Procedure from library `control.lib` (see control_lib).

Usage:
  colrank(M); M a matrix/module

Return:
  int

Purpose:
  compute the column rank of M as of matrix

Note:
  this procedure uses Bareiss algorithm

Example:

    LIB "control.lib";
    // de Rham complex
    ring r=0,(D(1..3)),dp;
    module R;
    R=[0,-D(3),D(2)],
    [D(3),0,-D(1)],
    [-D(2),D(1),0];
    R=transpose(R);
    colrank(R);
    ==> 2

User manual for Singular version 4.4.1, 2025, generated by texi2html.